package resources

import "strings"

const ResourceResource = "resource"

type Resource struct {
	ResourceName string
	Aliases      []string
	Description  string
}

func (r *Resource) Kind() string     { return ResourceResource }
func (r *Resource) ItemName() string { return r.ResourceName }

// Table output
func (r *Resource) ColumnNames() []string { return []string{"Aliases", "Description"} }
func (r *Resource) Columns() []any {
	return []any{strings.Join(r.Aliases, ", "), r.Description}
}
